## xpp 1.5-cvs20081009

=== debian/changelog ===
xpp (1.5-cvs20081009-4) unstable; urgency=medium

  * QA upload.
  * Fix a frequent parallel FTBFS.
  * Remove no longer required dh-autoreconf build dependency.

 -- Adrian Bunk <bunk@debian.org>  Sat, 28 Apr 2018 16:17:35 +0300

xpp (1.5-cvs20081009-3) unstable; urgency=medium

  * QA upload.
  * Bumped Standards-Version to 3.9.8.
  * Migrations:
      - DH level to 10.
      - debian/watch to version 4.
      - debian/copyright to 1.0 format.
  * debian/changelog: fixed some typos.
  * debian/control:
      - Build-Depends field was reorganized and removed autotools-dev.
      - Deleted some blanks in long description.
      - Removed a useless Conflicts field.
  * debian/copyright:
      - Reorganized and updated.
      - Updated to format 1.0.
  * debian/docs: added the BUGS file.
  * debian/rules:
      - Added the variable DEB_BUILD_MAINT_OPTIONS to improve the GCC hardening.
      - Added the variable DEB_LDFLAGS_MAINT_APPEND to fix some unnecessary
        links against libraries.
      - Removed some trash.
  * debian/watch: updated to version 4.

 -- Raphael Mota Ramos <raphaelmota.ti@gmail.com>  Wed, 26 Oct 2016 14:18:28 -0200

xpp (1.5-cvs20081009-2) unstable; urgency=low

  * QA upload.
  * debian/autogen.sh: Use "find -perm /x" instead of "find -perm +x".

 -- Andreas Metzler <ametzler@debian.org>  Thu, 24 Dec 2015 13:10:47 +0100

xpp (1.5-cvs20081009-1) unstable; urgency=low

  * QA upload.
  * Use newer upstream CVS snapshot.
    + Incorporates most of old Debian/Ubuntu changes. 
      (Closes: #382961, #654564).
    + Move remaining patches to new patch.
  * Make package source format 3.0 (quilt).
  * Patch to pass -D_IPP_PRIVATE_STRUCTURES CPPFLAG 
    in Makefile.am. (Closes: #713451).
  * Bump debhelper build-dep and compat to 9.
    + Convert rules file to simple dh style with autoreconf.
  * Bump Standards Version to 3.9.4.

 -- Barry deFreese <bdefreese@debian.org>  Mon, 15 Jul 2013 22:09:37 -0400

xpp (1.5-cvs20050828-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update debian/watch to report upstream versions properly (closes: #449710).
    Thanks, Raphael Geissert!
  * Fix FTBFS due to missing includes and format string error, with patch from
    peter green (closes: #639033).
  * Drop modification of mainwindow.cxx with sed in debian/rules, looks like
    the right change was applied in mainwindow.fl already.
  * Fix a few -Wwrite-strings warnings in xpp.cxx.

 -- Julien Cristau <jcristau@debian.org>  Fri, 30 Dec 2011 16:04:16 +0100

xpp (1.5-cvs20050828-1.1) unstable; urgency=low

  * Non-maintainer upload.

  [ Stefano Zacchiroli ]
  * Replace (build-)deps on old libcupsys2(-dev) to new libcups2(-dev),
    the former packages are now dummy packages (Closes: #494033). Do the
    same for "cupsys" vs "cups"
  * debian/control: remove the old pseudo-field "homepage" in description
    with the proper "Homepage" field

  [ Christoph Egger ]
  * Fix package building (conversion from const char * to char*)
  * Add misc:Depends substvar
  * Change menu section from Apps/Tools to Applications/System/Hardware
  * Fix watchfile using sf redirector

 -- Christoph Egger <christoph@debian.org>  Mon, 22 Feb 2010 10:29:25 +0100

xpp (1.5-cvs20050828-1) unstable; urgency=low

  * The "it gathered enough dust already" release
  * Merge with all upstream CVS patches, up to last CVS commit
    + Fixed handling of password-protected printers. It was asked
      for the password two or three times when sending one job
    + Initialize all instance variables of printFiles::printFiles
      on object construction.  This fixes at least one more use
      of uninitialized pointers (found by Valgrind)
  * This rebuild should fix all arches (closes: #374144)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed,  9 Aug 2006 12:37:44 -0300

xpp (1.5-5) unstable; urgency=low

  * Ack NMU (closes: #356238)
  * Update debian/watch file to version 3
  * debian/control: bump standards version to 3.7.2 (no changes)
  * debian/compat: switch to debhelper mode V5

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Wed,  9 Aug 2006 12:01:45 -0300

xpp (1.5-4.1) unstable; urgency=low

  * NMU as part of the GCC 4.1 transition.
  * Remove extra qualification from C++ header file (closes: #356238)

 -- Martin Michlmayr <tbm@cyrius.com>  Thu, 25 May 2006 18:27:50 +0200

xpp (1.5-4) unstable; urgency=low

  * Rebuild with new fluid/fltk

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 14 Aug 2005 00:55:02 -0300

xpp (1.5-3) unstable; urgency=high

  * Squash compiler warnings in non-FLUID-generated code
  * Applied upstream:
     * Fixed use of non-initialized memory and a potential off-by-one error
       in printFiles::printfiles.  Thanks to Valgrind
     * Initialize all instance variables of printFiles::printFiles
       on object construction.  This fixes at least one more use
       of uninitialized pointers (found by Valgrind)
     * Do not free NULL pointers in any destructors (paranoia)
  * Rebuild against new fltk packages to get updated dependencies
    (closes: #318466)
  * Bump standards version to 3.6.2 (no changes)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Sun, 24 Jul 2005 07:48:38 -0300

xpp (1.5-2) unstable; urgency=low

  * Acknowledge NMUs
    closes: #99031, #200276, #249497, #267127, #136944, #268823
  * This is the newest upstream version (closes: #285875)
  * Patchset 94 from CVS: Initialized pointers optionWindow and
    instanceWindow to NULL (closes: #226686)
  * Add uscan "watch" file
  * Update copyright file (closes: #218613)
  * We do not build-depend on xlibs (and not in xlibs-dev either,
    as we deal directly only with FLTK) (closes: #253329)

 -- Henrique de Moraes Holschuh <hmh@debian.org>  Tue, 21 Dec 2004 09:34:04 -0200

xpp (1.5-1) unstable; urgency=low

  * New maintainer
    + Adopt the package, with Scott's blessings.  When he wants the
      package back, it is his.
  * New upstream source

