=== debian/control ===
Source: xpp
Section: x11
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 10),
               cups,
               fluid (>= 1.1.6-7),
               libcups2-dev (>= 1.1.20final+cvs20040330-4),
               libfltk1.1-dev
Standards-Version: 3.9.8
Homepage: http://cups.sourceforge.net/xpp/

Package: xpp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: X Printing Panel
 Graphical substitute for the lp/lpr command. With xpp, you can control
 every printing option known to the CUPS print system (the cups package).
 Best results are available with usage of the appropriate PPD file for your
 printer. Each user can save their own customized printing preferences.
