=== debian/watch ===
version=4
opts=dversionmangle=s/\-cvs(.*)// \
http://sf.net/cups/xpp-(.*)\.tar\.(?:gz|bz2) debian false
